package com.govmade.modules.system.service;

import java.util.Map;
import java.util.Set;

import com.baomidou.mybatisplus.service.IService;
import com.govmade.common.utils.PageUtils;
import com.govmade.modules.system.entity.ModuleEntity;

/**
 * 系统管理 - 模块设置
 * 
 * @author 刘弈臻
 * @date 2018年8月9日
 */
public interface ModuleService extends IService<ModuleEntity>{

	/**
	 * 分页查询模块
	 */
	PageUtils queryPage(Map<String, Object> params);
	
	/**
	 * 保存或修改模块
	 */
	void save(ModuleEntity module);
	
	/**
	 * 删除模块
	 */
	void deleteBatch(Set<Long> ids);
	
   /**	
	*模块查重
	*/
	Integer checkModule(String name);
}
