package com.govmade.modules.system.dao;

import java.util.Set;

import org.apache.ibatis.annotations.Mapper;
import org.apache.ibatis.annotations.Param;

import com.baomidou.mybatisplus.mapper.BaseMapper;
import com.govmade.modules.system.entity.RoleEntity;

/**
 * 系统管理 - 角色设置
 * 
 * @author 刘弈臻
 * @date 2018年8月7日
 */
@Mapper
public interface RoleDao extends BaseMapper<RoleEntity>{

	/**
	 * 批量删除或删除
	 */
	void deleteBatch(@Param("ids") Set<Long> ids);
}
