package com.govmade.modules.system.entity;

import java.util.List;

import com.baomidou.mybatisplus.annotations.TableField;
import com.baomidou.mybatisplus.annotations.TableName;
import com.govmade.modules.basic.entity.BaseEntity;

/**
 * 系统管理 - 行政区划设置
 * 
 * @author 刘弈臻
 * @date 2018年8月9日
 */
@TableName("system_areas")
public class AreaEntity extends BaseEntity<Long>{
	
	private static final long serialVersionUID = 1L;
	
	private Long pid; //上级区划ID
	
	private String name; //区划名称
	
	private String code; //区划代码
	
	private Integer level; //区划级别
	
	private Long weight; //权重
	
	@TableField(exist=false)
	private List<AreaEntity> children;
	
	

	public Long getPid() {
		return pid;
	}

	public void setPid(Long pid) {
		this.pid = pid;
	}

	public String getName() {
		return name;
	}

	public void setName(String name) {
		this.name = name;
	}

	public String getCode() {
		return code;
	}

	public void setCode(String code) {
		this.code = code;
	}

	public Integer getLevel() {
		return level;
	}

	public void setLevel(Integer level) {
		this.level = level;
	}

	public Long getWeight() {
		return weight;
	}

	public void setWeight(Long weight) {
		this.weight = weight;
	}

	public List<AreaEntity> getChildren() {
		return children;
	}

	public void setChildren(List<AreaEntity> children) {
		this.children = children;
	}
	
    
}
